package com.jianshui.income.domain.entity;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-密码（大象）对象 income_invoice_auth_account
 *
 * @author jianshui
 * @date 2022-09-05
 */
public class IncomeInvoiceAuthAccount extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 税号 */
    @Excel(name = "税号")
    private String sbh;

    /** 确认密码 */
    @Excel(name = "确认密码")
    private String ywmm;

    /** 新确认密码 */
    @Excel(name = "新确认密码")
    private String newywmm;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setSbh(String sbh)
    {
        this.sbh = sbh;
    }

    public String getSbh()
    {
        return sbh;
    }
    public void setYwmm(String ywmm)
    {
        this.ywmm = ywmm;
    }

    public String getYwmm()
    {
        return ywmm;
    }
    public void setNewywmm(String newywmm)
    {
        this.newywmm = newywmm;
    }

    public String getNewywmm()
    {
        return newywmm;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sbh", getSbh())
            .append("ywmm", getYwmm())
            .append("newywmm", getNewywmm())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
